Loading...
Searching...
No Matches
CLI::detail::wrapped_type< T, def, Enable > Struct Template Reference

template to get the underlying value type if it exists or use a default More...

`#include <TypeTools.hpp>`

## Public Types

using | type = def

## Detailed Description

template<typename T, typename def, typename Enable = void>
struct CLI::detail::wrapped_type< T, def, Enable >

template to get the underlying value type if it exists or use a default

## Member Typedef Documentation

## type

template<typename T, typename def, typename Enable = void>

using CLI::detail::wrapped_type< T, def, Enable >::type = def

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp